/*
 * dip		A program for handling dialup IP connecions.
 *		This module handles the PPP protocol.
 *
 * Version:	@(#)ppp.c	3.3.3	08/16/93
 *
 * Author:      Fred N. van Kempen, <waltje@uWalt.NL.Mugnet.ORG>
 *		Copyright 1988-1993 MicroWalt Corporation
 *
 *		This program is free software; you can redistribute it
 *		and/or  modify it under  the terms of  the GNU General
 *		Public  License as  published  by  the  Free  Software
 *		Foundation;  either  version 2 of the License, or  (at
 *		your option) any later version.
 *
 * 		Peter Wassenaar Oct 1 '94:
 *    		Turned `not implemented yet' into a working DIP/PPPD 
 *		interface ppp-daemon takes over the terminal 
 *		control from `dip'
 */
#include "dip.h"


void
do_ppp(struct dip *dip)
{
#if DIP_HAVE_PPP
  int stat;

  (void) strcpy((char *) dip->protocol, "PPP");

  dup2(tty_askfd(),0);
  dup2(tty_askfd(),1);    /* re-direct cua? to stdin/stdout */

  stat=execlp("pppd", "pppd", "-detach", NULL);

  perror("DIP: do_ppp(pppd)");    /* point of no return */
  return;
#else
  fprintf(stderr, "DIP: PPP protocol not available yet.\n");
#endif
}
